Bug 1830480 - Default background is not one of the choices in Gnome Settings
Summary: Default background is not one of the choices in Gnome Settings
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: f32-backgrounds
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Luya Tshimbalanga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-02 05:31 UTC by Peter Simonyi
Modified: 2020-05-21 03:40 UTC (History)
2 users (show)

Fixed In Version: f32-backgrounds-32.2.2-1.fc32 f32-backgrounds-32.2.2-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-07 03:10:05 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github fedoradesign backgrounds issues 23 0 None open Default Fedora 32 background missing from selection after f32-backgrounds-32.1.4 update 2020-05-03 23:26:47 UTC

Description Peter Simonyi 2020-05-02 05:31:56 UTC
Description of problem:
In Gnome Settings, there is a grid of available backgrounds.  The new default F32 background isn't in that list so you can't choose it.

Version-Release number of selected component (if applicable):
f32-backgrounds-gnome-32.2.0-1.fc32.noarch

How reproducible:
Always

Steps to Reproduce:
1. Install F32 Workstation or create a new user account.
2. Use Gnome Settings to change the background to something that is not the default.

Actual results:
The default background is no longer available.

Expected results:
The default background should be in the grid of options.

Comment 1 Elep331 2020-05-02 14:27:29 UTC
I can confirm this bug. I have the same after a fresh installation of F32.

Comment 2 Luya Tshimbalanga 2020-05-02 20:03:31 UTC
(In reply to Peter Simonyi from comment #0)
> 
> Actual results:
> The default background is no longer available.
> 
> Expected results:
> The default background should be in the grid of options.

Hello Peter, could you provide a screenshot of the issue? Additionally, could you scroll down the list to see if the default background is there?
Thanks.

Comment 3 Elep331 2020-05-03 12:22:14 UTC
(In reply to Luya Tshimbalanga from comment #2)
> Hello Peter, could you provide a screenshot of the issue? Additionally,
> could you scroll down the list to see if the default background is there?
> Thanks.

https://pasteboard.co/J6ENQPC.png

Comment 4 Peter Simonyi 2020-05-04 09:23:39 UTC
Thanks,  Elep331, mine looks the same.

Comment 5 Fedora Update System 2020-05-05 08:08:23 UTC
FEDORA-2020-7295a3fa45 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-7295a3fa45

Comment 6 Fedora Update System 2020-05-05 08:08:24 UTC
FEDORA-EPEL-2020-c6f18289e3 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-c6f18289e3

Comment 7 Fedora Update System 2020-05-06 02:23:16 UTC
FEDORA-2020-7295a3fa45 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-7295a3fa45`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-7295a3fa45

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-05-06 05:11:06 UTC
FEDORA-EPEL-2020-c6f18289e3 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-c6f18289e3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-05-07 03:10:05 UTC
FEDORA-2020-7295a3fa45 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Elep331 2020-05-07 07:23:47 UTC
Hi, one small detail. Originally was in the right bottom corner inscription "Fedora". This is still missing.

Comment 11 Peter Simonyi 2020-05-07 10:14:06 UTC
The "Fedora" in the bottom corner is provided by an extension, gnome-shell-extension-background-logo.  By default it only shows the word over the default Fedora background.  That reveals the problem: the f32 background offered in the Gnome Settings grid is not the same as the default, though it looks the same.

The default background is 'f32.xml':
    $ gsettings reset org.gnome.desktop.background picture-uri
    $ gsettings get org.gnome.desktop.background picture-uri
    'file:///usr/share/backgrounds/f32/default/f32.xml'

But after clicking the f32 background in Gnome Settings, the background is 'f32.png':
    $ gsettings get org.gnome.desktop.background picture-uri
    'file:///usr/share/backgrounds/f32/default/f32.png'

Luya, do you want a separate bug for this, or should this one be reopened?

Elep331, a workaround is to install Gnome Tweaks, and in its Extensions panel click the gear button for the "Background logo" extension, then turn on "Show for all backgrounds".  (This will of course also show the word over other backgrounds, so you might want to turn it off if you change the background again.)

Comment 12 Luya Tshimbalanga 2020-05-07 15:11:16 UTC
(In reply to Peter Simonyi from comment #11)
> The "Fedora" in the bottom corner is provided by an extension,
> gnome-shell-extension-background-logo.  By default it only shows the word
> over the default Fedora background.  That reveals the problem: the f32
> background offered in the Gnome Settings grid is not the same as the
> default, though it looks the same.
> 
> The default background is 'f32.xml':
>     $ gsettings reset org.gnome.desktop.background picture-uri
>     $ gsettings get org.gnome.desktop.background picture-uri
>     'file:///usr/share/backgrounds/f32/default/f32.xml'
> 
> But after clicking the f32 background in Gnome Settings, the background is
> 'f32.png':
>     $ gsettings get org.gnome.desktop.background picture-uri
>     'file:///usr/share/backgrounds/f32/default/f32.png'
> 
> Luya, do you want a separate bug for this, or should this one be reopened?

Yes, open a separate bug.

Comment 13 Peter Simonyi 2020-05-07 16:39:06 UTC
(In reply to Luya Tshimbalanga from comment #12)
> Yes, open a separate bug.

Done, bug 1833020.

Comment 14 Fedora Update System 2020-05-21 03:40:51 UTC
FEDORA-EPEL-2020-c6f18289e3 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.